geos::index::strtree::Boundable Class Referenceabstract

A spatial object in an AbstractSTRtree. More...

`#include <Boundable.h>`

Inheritance diagram for geos::index::strtree::Boundable:

## Public Member Functions

virtual const void * | getBounds () const =0
virtual bool | isLeaf () const =0

## Detailed Description

A spatial object in an AbstractSTRtree.

## Member Function Documentation

## getBounds()

virtual const void * geos::index::strtree::Boundable::getBounds | ( |  | ) | const

pure virtual

Returns a representation of space that encloses this Boundable, preferably not much bigger than this Boundable's boundary yet fast to test for intersection with the bounds of other Boundables.

The class of object returned depends on the subclass of AbstractSTRtree.

Returns
  an Envelope (for STRtrees), an Interval (for SIRtrees), or other object (for other subclasses of AbstractSTRtree)

See also
  AbstractSTRtree::IntersectsOp

Implemented in geos::index::strtree::AbstractNode, geos::index::strtree::ItemBoundable, and geos::index::strtree::SimpleSTRnode.

The documentation for this class was generated from the following file:

- Boundable.h